Get config
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/dsp/{dspId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/dsp/{dspId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/dsp/{dspId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"dsp": {
"id": 1,
"name": "Spectral features",
"windowLength": 3000,
"type": "spectral-analysis",
"classes": [
"<string>"
],
"features": {
"generated": true,
"count": 123,
"labels": [
"<string>"
],
"classes": [
"<string>"
]
},
"expectedWindowCount": 123,
"inputAxes": [
"<string>"
],
"canCalculateFeatureImportance": true,
"calculateFeatureImportance": true,
"canNormalizeData": true,
"performance": {
"latency": 123,
"ram": 123,
"customDspString": "<string>"
},
"hasAutoTune": true,
"minimumVersionForAutotune": 123,
"hasAutotunerResults": true,
"usesState": true
},
"error": "<string>",
"config": [
{
"group": "Scaling",
"items": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
]
}
],
"configError": "<string>"
}Get config
Retrieve the configuration parameters for the DSP block. Use the impulse functions to retrieve all DSP blocks.
GET
/
api
/
{projectId}
/
dsp
/
{dspId}
Get config
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
DSP Block ID, use the impulse functions to retrieve the ID
Was this page helpful?
⌘I